#!/usr/bin/env python
# -*- coding: iso-8859-15 -*-

import os
import sys
import cherrypy
from Cheetah.Template import Template

APPDIR = os.path.dirname(os.path.abspath(sys.argv[0]))


class Root(object):
    
    
    def index(self, *args, **kwargs):
        filename = os.path.join(APPDIR, "index.tmpl")
        tmpl = Template(file = filename)
        return str(tmpl)
    index.exposed = True
    
    
    def get_content(self, message = ""):
        method = cherrypy.request.method
        return (
            "<p>\n"
            "  Methode: %s<br />\n"
            "  Nachricht: %s<br />\n"
            "</p>\n"
        ) % (method, message)
    get_content.exposed = True


def main():
    cherrypy.config.update(
        {
            "tools.staticdir.root": APPDIR,
            "tools.staticdir.on": True,
            "tools.staticdir.dir": ".",
            "tools.staticdir.match": r"(?i).(gif|jpg|png|jpeg|js|7z|pdf|zip)$"
        }
    )
    cherrypy.quickstart(Root())


if __name__ == "__main__":
    main()
